﻿Imports System.Web.Mvc

Namespace Controllers
    Public Class TestController
        Inherits Controller

        Public Function Test() As ActionResult

            Dim oModel As TestModel = New TestModel("My Proc Name", "My Proc Description") _
                                      With {.Children = New List(Of ModelChild)() From { _
                                                            New ModelChild() With {.Name = "Child 1", .Age = 10}, _
                                                            New ModelChild() With {.Name = "Child 2", .Age = 7} _
                                                            } _
                                            }

            Return View(oModel)

        End Function

        <HttpPost>
        <AllowAnonymous>
        <ValidateAntiForgeryToken>
        Public Overloads Function Submit(_Input As TestModel) As ActionResult
            Dim oModel As TestModel = _Input.Clone()
            Return View("Test", oModel)
        End Function

    End Class
End Namespace