//(function ($) {
//    var defaultOptions = {
//        errorClass: 'has-error',
//        //validClass: 'has-success',
//        highlight: function (element, errorClass, validClass) {
//            $(element).closest(".form-group")
//                .addClass(errorClass)
//            //.removeClass(validClass);
//        },
//        unhighlight: function (element, errorClass, validClass) {
//            $(element).closest(".form-group")
//            .removeClass(errorClass)
//            //.addClass(validClass);
//        }
//    };

//    $.validator.setDefaults(defaultOptions);

//    $.validator.unobtrusive.options = {
//        errorClass: defaultOptions.errorClass,
//        //validClass: defaultOptions.validClass,
//    };
//})(jQuery);

//$.validator.setDefaults({
//    highlight: function (element) {
//        $(element).closest(".form-group").addClass("has-error");
//    },
//    unhighlight: function (element) {
//        $(element).closest(".form-group").removeClass("has-error");
//    }
//});


jQuery.validator.setDefaults({
    highlight: function (element, errorClass, validClass) {
        if (element.type === "radio") {
            this.findByName(element.name).addClass(errorClass).removeClass(validClass);
        } else {
            $(element).addClass(errorClass).removeClass(validClass);
            $(element).closest(".form-group").removeClass("has-success").addClass("has-error");
        }
    },
    unhighlight: function (element, errorClass, validClass) {
        if (element.type === "radio") {
            this.findByName(element.name).removeClass(errorClass).addClass(validClass);
        } else {
            $(element).removeClass(errorClass).addClass(validClass);
            $(element).closest(".form-group").removeClass("has-error").addClass("has-success");
        }
    }
});