﻿@ModelType TestModel
@Code
    ViewData("Title") = "Test " + Model.ProcDescription
    Layout = Nothing
End Code

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    <!-- Load site level styles -->
    <link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400italic,600,700' rel='stylesheet' type='text/css'> <!-- always load fonts first -->
    <link href="/Assets/css/bootstrap.min.css" rel="stylesheet" />
    <link href="http://cdn.kendostatic.com/2015.2.624/styles/kendo.common.min.css" rel="stylesheet" type="text/css" />
    <link href="http://cdn.kendostatic.com/2015.2.624/styles/kendo.blueopal.min.css" rel="stylesheet" type="text/css" />
    <!-- Load site level scripts -->
    <script src="/Scripts/jquery-2.1.4.js"></script>
    <script src="http://cdn.kendostatic.com/2015.2.624/js/kendo.all.min.js"></script>
    <script src="http://cdn.kendostatic.com/2015.2.624/js/kendo.aspnetmvc.min.js"></script>
</head>
<body>
    <div class="container-fluid">
        <div class="k-block">
            <div style="display:block;padding:10px;">
                @(Html.Kendo().Grid(Of ModelChild)(Model.Children) _
                                                .Name("Children") _
                                                .Selectable(Sub(s) s.Mode(GridSelectionMode.Multiple)) _
                                                .Scrollable(Sub(s) s.Height("auto")) _
                                                .Editable(Sub(e) e.Mode(GridEditMode.InCell)) _
                                                .Resizable(Sub(r) r.Columns(True)) _
                                                .Navigatable() _
                                                .ToolBar(Sub(tb) tb.Template("<p>My Toolbar</p>")) _
                                                .Columns(Sub(c)
                                                                 c.Bound("Name").Title("Child Name")
                                                                 c.Bound("Age").Title("Child Age")
                                                         End Sub) _
                                                .DataSource(Sub(ds) ds.Ajax().ServerOperation(False).Model(Sub(m) m.Id("Name")))
                )
            </div>
        </div>
    </div>
</body>
</html>
